function [C,U,V,W]=hosvd_Truncate2(T,nu_truncate)
% Compute the 'economi' version of the HOSVD of a tensor T.
% Call with [S,U,s] = hosvd(T)

T = tensor(T);
[U, s1,v1]= svd(double(tenmat(T,1)),'econ');
[V, s2,v2]= svd(double(tenmat(T,2)),'econ');
[W, s3,v3]= svd(double(tenmat(T,3)),'econ');
U=U(:,1:nu_truncate);
V=V(:,1:nu_truncate);
W=W(:,1:nu_truncate);
C = ttm(T,{U,V,W},[1,2,3],'t');