function [C,V,W]=hosvd_Truncate_rSym(T,nu)
% Compute the 'economy' version of the HOSVD of a tensor T.
% T is (1,2)-symmetric 
% Truncate to dimension nu

T = tensor(T);
%[U, s1,v1]= svd(double(tenmat(T,1)),'econ');
[V,s2,v2]= svd(double(tenmat(T,2)),'econ');
[W,s3,v3]= svd(double(tenmat(T,3)),'econ');
%U=U(:,1:nu_truncate);
V=V(:,1:nu(2));
W=W(:,1:nu(3));
C = ttm(T,{V,V,W},[1,2,3],'t');